<?php

namespace App\Http\Controllers\Web;

use App\Models\Article;
use App\Models\Category;
use App\Models\Country;
use App\Models\City;
use App\Models\Facility;
use App\Models\Gallery;
use App\Models\Offer;
use App\Models\Page;
use App\Models\Product;
use App\Models\User;
use App\Services\Rate\RateController;
use Illuminate\Http\Request;
use Illuminate\View\View;
use App\Http\Controllers\Controller;

class EventController extends Controller
{
    private $view = 'web.pages.events.';

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        // $this->middleware('auth')->except('lang');
    }

    /**
     * Show the application dashboard.
     * @return View
     */

    public function index(Request $request)
    {
        $title = __('web.event');
        $pages = Page::withDescription()->find([7,8,9,10]);
        $image = $pages[0]->image;
        $image = asset($image);
        $events = Article::withDescription()->cursor();

        return view($this->view.'index', get_defined_vars());
    }



}
